Feitian PKI and OpenSCA under Mac OS X

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Feitian PKI and OpenSCA under Mac OS X

Jean-Michel Pouré - GOOZE
Dear friends,

Reading the wiki, I understand that the Mac OS X SCA experimental build
should include a recent version of OpenSC. Does it include OpenSC
0.11.13, which is need for good support of the Feitian PKI?

What is needed to make an experimental build? I have a Mac OS 10.5
somewhere in the office and may try to build.

Kind regards,
Jean-Michel
--
                  Jean-Michel Pouré - [hidden email]

_______________________________________________
opensc-devel mailing list
[hidden email]
http://www.opensc-project.org/mailman/listinfo/opensc-devel
Reply | Threaded
Open this post in threaded view
|

Re: Feitian PKI and OpenSCA under Mac OS X

JP Szikora-2
Jean-Michel Pouré - GOOZE a écrit :
> Dear friends,
>
> Reading the wiki, I understand that the Mac OS X SCA experimental build
> should include a recent version of OpenSC. Does it include OpenSC
> 0.11.13,
Hi Jean-Michel,

As you can read in
http://www.opensc-project.org/files/sca/experimental/README, the last
SCA experimental release contains OpenSC 0.11.13. The installer is
located at http://www.opensc-project.org/files/sca/experimental/ .
> which is need for good support of the Feitian PKI?
>  
I just tested this experimental release with the few cards I have.
> What is needed to make an experimental build? I have a Mac OS 10.5
> somewhere in the office and may try to build.
>  
To build the experimental release, you need to have MacOSX 10.6 with the
developpers tools. There is nothing special there
(http://www.opensc-project.org/sca/browser/trunk/howto). The major
problem for compiling the previous version (SCA 0.2.7) on MacOSX 10.4
was due to the Tokend compilation. This is not (yet) avalaible in the
last experimental release.

Please note that the new experimental release will probably work on
MacOSX 10.5 too, except the engine (the openssl natively supplied in
MacOSX 10.5 was not compiled with DSO support, which is required for
Engine).

Cheers,

Jean-Pierre


_______________________________________________
opensc-devel mailing list
[hidden email]
http://www.opensc-project.org/mailman/listinfo/opensc-devel